Subject: Re: Supplying only a port on a ServiceChangeAddress

From: Flemming Andreasen <[email-masked]>
Date: Wed, 6 Sep 2000 16:04:57 -0400

Tom-PT Taylor wrote:

>
>
> OK, we have three choices:
> (a) deprecate use of ServiceChangeAddress in favour of
> ServiceChangeMgcId (and assume it is never used by the MG)

Yes, please!

>
> (b) allow specification of port only, with the parser able to
> distinguish from other forms because of the lack of punctuation (seems
> feasible)

Acceptable

>
>
> (c) require that the full address be specified.

No.

>
>
> (b) is basically the current situation, with a note in the
> Implementor's Guide to warn that the contents may consist of a bare
> port number and specifying that in that case the IP address to be used
> is the same as the address to which the receiver of the
> ServiceChangeAddress is currently sending its requests.

Almost - the address is whatever is currently used as
ServiceChangeMGCId. Note, that this may in fact be multiple addresses in
case you have a domain-name mapping to multiple addresses. Also, it
should be clarified that the port in the mID is then really not a port,
but simply a local identifier.

-- Flemming

>
>
> > -----Original Message-----
> > From: Rosen, Brian [mailto:[email-masked]]
> > Sent: Wednesday, September 06, 2000 2:16 PM
> > To: Taylor, Tom-PT [NORSE:B901:EXCH]; 'Flemming Andreasen';
> > Bharat Kaul
> > Cc: [email-masked]
> > Subject: RE: Supplying only a port on a ServiceChangeAddress
> >
> >
> > One more thing:
> > >The ABNF syntax of ServiceChangeAddress is VALUE, which permits
> > >designation of a port only within a quoted string.  The
> > >difference between this and the ASN.1 syntax is what started this
> > >whole thread, but is irrelevant because the functionality is
> > >still available.
> >
> > Value allows 1*(SafeChar), which would permit a port number (no
> > punctuation).  One system did exactly that at the Interop
> > event.  Either we
> > have to allow that, or explicitly disallow it.
> >
> > Brian
> >

--
Flemming Andreasen
Cisco Systems

---

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 6 Sep 2000 15:39:32 -0400

OK, we have three choices:
(a) deprecate use of ServiceChangeAddress in favour of ServiceChangeMgcId
(and assume it is never used by the MG)
(b) allow specification of port only, with the parser able to distinguish
from other forms because of the lack of punctuation (seems feasible)
(c) require that the full address be specified.

(b) is basically the current situation, with a note in the Implementor's
Guide to warn that the contents may consist of a bare port number and
specifying that in that case the IP address to be used is the same as the
address to which the receiver of the ServiceChangeAddress is currently
sending its requests.